/*
 * custom.h
 *
 *      Author: kappl
 */

#ifndef CUSTOM_H_
#define CUSTOM_H_

#include "particle.h"

/**
 * @brief Class to implement the custom model
 */
class Custom : public Particle
{
	private:

	double getDeltaR(Random&) const;

	public:
	Custom(const TmodelInformation&, const Tproperties&);
	virtual ~Custom();
};

#endif /* CUSTOM_H_ */
