/*
 * distribution.h
 *
 *      Author: kappl
 */

#ifndef DISTRIBUTION_H_
#define DISTRIBUTION_H_

#include <map>
#include <vector>
#include <string>
#include "density.h"

/**
 * @brief Class for handling distributions containing the spectra of CR
 */
class Distribution
{
	private:
	std::vector<double> flux;

	public:
	Distribution(Density&, const std::vector<double>&);
	~Distribution();

	double getFlux(int) const;
};

#endif /* DISTRIBUTION_H_ */
